About ElumTools

Does ElumTools work with all versions and flavors of Revit?
Since its release, ElumTools has been continuously updated to be compatible with the latest available Revit version. We have been fortunate to be able to in...
Thu, 12 Jan, 2017 at 3:34 PM
ElumTools System Requirements
ElumTools releases will operate only with the appropriate version of Revit, For example: ElumTools 2018 works with Revit 2018 only. When purchasing ElumTool...
Wed, 18 Jul, 2018 at 2:19 PM
Version Compatibility
Recommended Practice ElumTools is not backward compatible between minor versions.  This means that once a Revit file has been opened on a machine with a...
Thu, 14 Jun, 2018 at 3:15 PM